# Created by pyp2rpm-1.0.1
%global pypi_name patsy
%global with_python3 1
%define version 0.3.0

Name:           python-patsy
Version:        %{version}
Release:        %mkrel 1
Group:          Development/Python
Summary:        A Python package for describing statistical models and for

License:        BSD
Source0:        https://pypi.python.org/packages/source/p/patsy/patsy-0.3.0.zip
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # if with_python3


%description
Patsy is a Python library for describing statistical models
(especially linear models, or models that have a linear component) and
building design matrices.

%if 0%{?with_python3}
%package -n  python3-%{pypi_name}
Summary:        A Python package for describing statistical models and for


%description -n python3-%{pypi_name}
Patsy is a Python library for describing statistical models
(especially linear models, or models that have a linear component) and
building design matrices.
%endif

%prep
%setup -q -n %{pypi_name}-%{version}


%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc 
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}*.egg-info
%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc 
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}*.egg-info
%endif # with_python3


%changelog
* Mon Dec 22 2014 joequant <joequant> 0.3.0-1.mga5
+ Revision: 804755
- add setup tools
- imported package python-patsy

